HamletSpec.CoreAttrs (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, interface: CoreAttrs

Package org.apache.hadoop.yarn.webapp.hamlet2

# Interface HamletSpec.CoreAttrs

All Known Subinterfaces:
  `HamletSpec._Cell`, `HamletSpec.A`, `HamletSpec.ABBR`, `HamletSpec.ACRONYM`, `HamletSpec.ADDRESS`, `HamletSpec.AREA`, `HamletSpec.Attrs`, `HamletSpec.B`, `HamletSpec.BDO`, `HamletSpec.BLOCKQUOTE`, `HamletSpec.BODY`, `HamletSpec.BR`, `HamletSpec.BUTTON`, `HamletSpec.CAPTION`, `HamletSpec.CITE`, `HamletSpec.CODE`, `HamletSpec.COL`, `HamletSpec.COLGROUP`, `HamletSpec.DD`, `HamletSpec.DEL`, `HamletSpec.DFN`, `HamletSpec.DIV`, `HamletSpec.DL`, `HamletSpec.DT`, `HamletSpec.EM`, `HamletSpec.FIELDSET`, `HamletSpec.FORM`, `HamletSpec.H1`, `HamletSpec.H2`, `HamletSpec.H3`, `HamletSpec.H4`, `HamletSpec.H5`, `HamletSpec.H6`, `HamletSpec.HR`, `HamletSpec.I`, `HamletSpec.IMG`, `HamletSpec.INPUT`, `HamletSpec.INS`, `HamletSpec.KBD`, `HamletSpec.LABEL`, `HamletSpec.LEGEND`, `HamletSpec.LI`, `HamletSpec.LINK`, `HamletSpec.MAP`, `HamletSpec.OBJECT`, `HamletSpec.OL`, `HamletSpec.OPTGROUP`, `HamletSpec.OPTION`, `HamletSpec.P`, `HamletSpec.PRE`, `HamletSpec.Q`, `HamletSpec.SAMP`, `HamletSpec.SELECT`, `HamletSpec.SMALL`, `HamletSpec.SPAN`, `HamletSpec.STRONG`, `HamletSpec.SUB`, `HamletSpec.SUP`, `HamletSpec.TABLE`, `HamletSpec.TBODY`, `HamletSpec.TD`, `HamletSpec.TEXTAREA`, `HamletSpec.TFOOT`, `HamletSpec.TH`, `HamletSpec.THEAD`, `HamletSpec.TR`, `HamletSpec.UL`, `HamletSpec.VAR`

All Known Implementing Classes:
  `Hamlet.A`, `Hamlet.ABBR`, `Hamlet.ACRONYM`, `Hamlet.ADDRESS`, `Hamlet.AREA`, `Hamlet.B`, `Hamlet.BDO`, `Hamlet.BLOCKQUOTE`, `Hamlet.BODY`, `Hamlet.BR`, `Hamlet.BUTTON`, `Hamlet.CAPTION`, `Hamlet.CITE`, `Hamlet.CODE`, `Hamlet.COL`, `Hamlet.COLGROUP`, `Hamlet.DD`, `Hamlet.DEL`, `Hamlet.DFN`, `Hamlet.DIV`, `Hamlet.DL`, `Hamlet.DT`, `Hamlet.EM`, `Hamlet.FIELDSET`, `Hamlet.FORM`, `Hamlet.H1`, `Hamlet.H2`, `Hamlet.H3`, `Hamlet.H4`, `Hamlet.H5`, `Hamlet.H6`, `Hamlet.HR`, `Hamlet.I`, `Hamlet.IMG`, `Hamlet.INPUT`, `Hamlet.INS`, `Hamlet.KBD`, `Hamlet.LABEL`, `Hamlet.LEGEND`, `Hamlet.LI`, `Hamlet.LINK`, `Hamlet.MAP`, `Hamlet.OBJECT`, `Hamlet.OL`, `Hamlet.OPTGROUP`, `Hamlet.OPTION`, `Hamlet.P`, `Hamlet.PRE`, `Hamlet.Q`, `Hamlet.SAMP`, `Hamlet.SELECT`, `Hamlet.SMALL`, `Hamlet.SPAN`, `Hamlet.STRONG`, `Hamlet.SUB`, `Hamlet.SUP`, `Hamlet.TABLE`, `Hamlet.TBODY`, `Hamlet.TD`, `Hamlet.TEXTAREA`, `Hamlet.TFOOT`, `Hamlet.TH`, `Hamlet.THEAD`, `Hamlet.TR`, `Hamlet.UL`, `Hamlet.VAR`

Enclosing class:
  HamletSpec

public static interface HamletSpec.CoreAttrs
%coreattrs

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HamletSpec.CoreAttrs`
  `$class(String cls)`
  space-separated list of classes
  `HamletSpec.CoreAttrs`
  `$id(String id)`
  document-wide unique id
  `HamletSpec.CoreAttrs`
  `$style(String style)`
  associated style info
  `HamletSpec.CoreAttrs`
  `$title(String title)`
  advisory title

- ## Method Details

  - ### $id

    HamletSpec.CoreAttrs $id(String id)
    document-wide unique id
    Parameters:
      `id` - the id
    Returns:
      the current element builder

  - ### $class

    HamletSpec.CoreAttrs $class(String cls)
    space-separated list of classes
    Parameters:
      `cls` - the classes
    Returns:
      the current element builder

  - ### $style

    HamletSpec.CoreAttrs $style(String style)
    associated style info
    Parameters:
      `style` - the style
    Returns:
      the current element builder

  - ### $title

    HamletSpec.CoreAttrs $title(String title)
    advisory title
    Parameters:
      `title` - the title
    Returns:
      the current element builder